//---------------------------------------------------------------------------
#ifndef GE760_H
#define GE760_H

#include "structs.h"

#define DLL_MODE __declspec(dllexport)

//funcoes de socket
//int __stdcall SendCMD(SOCKET sock, unsigned char *buffercmd, unsigned short TamBuff, unsigned short IDcmd, unsigned short TamArgu);
//int __stdcall SendBuffer(SOCKET sock, char *buf, unsigned int size);

//funcoes de inicializacao
extern "C" int DLL_MODE __stdcall mt_startserver(HWND mywhnd, int conecmsg, int commumsg);
extern "C" void DLL_MODE __stdcall mt_finishserver(void);
//extern "C" void DLL_MODE __stdcall mt_connectlist(DWORD *tab);
extern "C" TTABSOCK DLL_MODE __stdcall mt_connectlist(void);

extern "C" BYTE DLL_MODE __stdcall mt_version(void);
extern "C" char * DLL_MODE __stdcall mt_ipfromid(int ID);
extern "C" char * DLL_MODE __stdcall mt_gethostip(char *oip);
extern "C" char * DLL_MODE __stdcall mt_inet_ntoa(DWORD oip);
extern "C" char * DLL_MODE __stdcall mt_inet_ntoa_inv(DWORD oip);
extern "C" DWORD DLL_MODE __stdcall mt_inet_addr(char *oip);
extern "C" DWORD DLL_MODE __stdcall mt_inet_addr_inv(char *oip);

//comandos para o terminal
extern "C" int DLL_MODE __stdcall mt_sendlive(int ID);
extern "C" int DLL_MODE __stdcall mt_restart(int ID);
extern "C" int DLL_MODE __stdcall mt_ftpmode(int ID);

//LCD
extern "C" int DLL_MODE __stdcall mt_backspace(int ID);
extern "C" int DLL_MODE __stdcall mt_carret(int ID);
extern "C" int DLL_MODE __stdcall mt_linefeed(int ID);
extern "C" int DLL_MODE __stdcall mt_formfeed(int ID);
extern "C" int DLL_MODE __stdcall mt_gotoxy(int ID, int lin, int col);
extern "C" int DLL_MODE __stdcall mt_gotoxyref(int ID, int lin, int col);
extern "C" int DLL_MODE __stdcall mt_dispstr(int ID, char *str);
extern "C" int DLL_MODE __stdcall mt_dispch(int ID, char ch);
extern "C" int DLL_MODE __stdcall mt_dispclrln(int ID, int lin);
extern "C" int DLL_MODE __stdcall mt_seteditstring(int ID, BYTE *String, BOOL OnOff, BOOL PassWord);
extern "C" int DLL_MODE __stdcall mt_reqeditstring(int ID);
extern "C" int DLL_MODE __stdcall mt_geteditstring(int ID, char *buf);
//extern "C" String DLL_MODE __stdcall mt_recebestring(int ID, char *str);
//extern "C" String DLL_MODE __stdcall mt_recebestring(int ID);
//extern "C"  int DLL_MODE __stdcall mt_recebestring(int ID, char *carac);

//TECLADO
extern "C" int DLL_MODE __stdcall mt_setenablekey(int ID, const BOOL OnOff);
extern "C" int DLL_MODE __stdcall mt_getenablekey(int ID);
extern "C" int DLL_MODE __stdcall mt_reset(int ID);
extern "C" int DLL_MODE __stdcall mt_setcapslock(int ID, const BOOL OnOff);
extern "C" int DLL_MODE __stdcall mt_getcapslock(int ID);
extern "C" int DLL_MODE __stdcall mt_setnumlock(int ID, const BOOL OnOff);
extern "C" int DLL_MODE __stdcall mt_getnumlock(int ID);
extern "C" int DLL_MODE __stdcall mt_programkbd(int ID, BYTE *Codigo);
extern "C" int DLL_MODE __stdcall mt_setbeep(int ID, const BOOL OnOff);
extern "C" int DLL_MODE __stdcall mt_setbeepkey(int ID, const BOOL OnOff);
extern "C" int DLL_MODE __stdcall mt_getkey(int ID, char *buf);
//extern "C" int DLL_MODE __stdcall mt_recebecaracter (int ID, char *buf);

//SERIAL
extern "C" int DLL_MODE __stdcall mt_setenableserial(int ID, const BYTE COM, const BOOL OnOff);
extern "C" int DLL_MODE __stdcall mt_getenableserial(int ID, const BYTE COM);
extern "C" int DLL_MODE __stdcall mt_sendbinserial(int ID, const BYTE COM, LPBYTE Bin, BYTE tam);
extern "C" int DLL_MODE __stdcall mt_getserial(int ID, int *sercom, char *buf);
extern "C" int DLL_MODE __stdcall mt_getconfigserial(int ID, ARG_COM_SETUPSERIAL *config);
extern "C" int DLL_MODE __stdcall mt_reqconfigserial(int ID, BYTE COM);
extern "C" int DLL_MODE __stdcall mt_sendconfigserial(int ID, ARG_COM_SETUPSERIAL *config);
extern "C" int DLL_MODE __stdcall mt_settermserial(int ID, const BYTE COM, const BYTE TERM, const BOOL OnOff);

extern "C" int DLL_MODE __stdcall mt_getconfig(int ID, TSetupTCP *config);
extern "C" int DLL_MODE __stdcall mt_reqconfig(int ID);
extern "C" int DLL_MODE __stdcall mt_sendconfig(int ID,TSetupTCP *config);

extern "C" int DLL_MODE __stdcall mt_getexconfig(int ID, TExSetupTCP *config);
extern "C" int DLL_MODE __stdcall mt_reqexconfig(int ID);
extern "C" int DLL_MODE __stdcall mt_sendexconfig(int ID, TExSetupTCP *config);

//CARTO
extern "C" int DLL_MODE __stdcall mt_sendsetcard(int ID, const BOOL OnOff);
extern "C" int DLL_MODE __stdcall mt_reqgetcard(int ID);
extern "C" int DLL_MODE __stdcall mt_getcardbuf(int ID, ARG_CARD *cardbuf);

//IMPRESSORA
extern "C" int DLL_MODE __stdcall mt_sendinitprn(int ID);
extern "C" int DLL_MODE __stdcall mt_reqgetstatusprn(int ID);
extern "C" int DLL_MODE __stdcall mt_sendbinprn(int ID, LPBYTE Bin, BYTE tam);

/*
extern "C" int DLL_MODE __stdcall mt_getconfigupdate(int ID, TSetupUpdate *config);
extern "C" int DLL_MODE __stdcall mt_reqconfigupdate(int ID);
extern "C" int DLL_MODE __stdcall mt_sendconfigupdate(int ID, TSetupUpdate *config);
extern "C" int DLL_MODE __stdcall mt_updatesoft(int ID);
*/

#endif
